
ServerType standalone


ServerRoot "C:/local/apache_group/Apache"


PidFile logs/httpd.pid


ScoreBoardFile logs/apache_runtime_status


Timeout 300


KeepAlive On


MaxKeepAliveRequests 100


KeepAliveTimeout 15


MaxRequestsPerChild 0


ThreadsPerChild 50


ClearModuleList
#AddModule mod_vhost_alias.c
AddModule mod_env.c
AddModule mod_log_config.c
AddModule mod_mime.c
AddModule mod_negotiation.c
AddModule mod_include.c
AddModule mod_autoindex.c
AddModule mod_dir.c
AddModule mod_isapi.c
AddModule mod_cgi.c
AddModule mod_asis.c
AddModule mod_imap.c
AddModule mod_actions.c
AddModule mod_userdir.c
AddModule mod_alias.c
AddModule mod_access.c
AddModule mod_auth.c
AddModule mod_so.c
AddModule mod_setenvif.c
#AddModule mod_mime_magic.c
#AddModule mod_status.c
#AddModule mod_info.c
#AddModule mod_speling.c
#AddModule mod_rewrite.c
#AddModule mod_auth_anon.c
#AddModule mod_auth_dbm.c
#AddModule mod_auth_digest.c
#AddModule mod_digest.c
#AddModule mod_proxy.c
#AddModule mod_cern_meta.c
#AddModule mod_expires.c
#AddModule mod_headers.c
#AddModule mod_usertrack.c
#AddModule mod_unique_id.c


ServerAdmin den@localhost


ServerName localhost


DocumentRoot C:/local/apache_group/Apache/htdocs


<Directory "C:/local/apache_group/Apache/htdocs">
Options  indexes  followSymLinks 
AllowOverride All
Order allow,deny
Allow from all
</Directory>


<Ifmodule mod_userdir.c>
UserDir "C:/local/apache_group/Apache/users/"
</Ifmodule>


<Ifmodule mod_dir.c>
DirectoryIndex index.html index.phtml index.php 
</Ifmodule>


AccessFileName htaccess


<Files ~ "^\.ht">
Order allow,deny
Deny from all
Satisfy all
</Files>


UseCanonicalName On


<Ifmodule mod_mime.c>
TypesConfig conf/mime.types
</Ifmodule>


DefaultType text/plain


<Ifmodule mod_mime_magic.c>
MIMEMagicFile conf/magic
</Ifmodule>


HostnameLookups Off


ErrorLog logs/error.log


LogLevel warn


LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
LogFormat "%h %l %u %t \"%r\" %>s %b" common
LogFormat "%{Referer}i -> %U" referer
LogFormat "%{User-agent}i" agent


CustomLog logs/access.log common



ServerSignature on

<Ifmodule mod_alias.c>


Alias /icons/ C:/local/apache_group/Apache/icons/
Alias /manual/ C:/local/apache_group/Apache/htdocs/manual/

<Directory "C:/local/apache_group/Apache/icons">
Options  indexes  multiViews 
AllowOverride None
Order allow,deny
Allow from all
</Directory>


<Directory "C:/local/apache_group/Apache/htdocs/manual">
Options  indexes  followSymLinks  multiViews 
AllowOverride None
Order allow,deny
Allow from all
</Directory>


ScriptAlias /cgi-bin/ C:/local/apache_group/Apache/cgi-bin/
ScriptAlias /php/ C:/local/php/

<Directory "C:/local/apache_group/Apache/cgi-bin">
AllowOverride None
Options  execCGI 
Order allow,deny
Allow from all
</Directory>

</Ifmodule>

<Ifmodule mod_autoindex.c>


IndexOptions FancyIndexing


AddIconByEncoding (CMP,/icons/compressed.gif) x-compress x-gzip 

AddIconByType (TXT,/icons/text.gif) text/* 
AddIconByType (IMG,/icons/image2.gif) image/* 
AddIconByType (SND,/icons/sound2.gif) audio/* 
AddIconByType (VID,/icons/movie.gif) video/* 

AddIcon /icons/binary.gif .bin .exe 
AddIcon /icons/binhex.gif .hqx 
AddIcon /icons/tar.gif .tar 
AddIcon /icons/world2.gif .wrl .wrl.gz .vrml .vrm .iv 
AddIcon /icons/compressed.gif .Z .z .tgz .gz .zip 
AddIcon /icons/a.gif .ps .ai .eps 
AddIcon /icons/layout.gif .html .shtml .htm .pdf 
AddIcon /icons/text.gif .txt 
AddIcon /icons/c.gif .c 
AddIcon /icons/p.gif .pl .py 
AddIcon /icons/f.gif .for 
AddIcon /icons/dvi.gif .dvi 
AddIcon /icons/uuencoded.gif .uu 
AddIcon /icons/script.gif .conf .sh .shar .csh .ksh .tcl 
AddIcon /icons/tex.gif .tex 
AddIcon /icons/bomb.gif core 
AddIcon /icons/back.gif .. 
AddIcon /icons/hand.right.gif README 
AddIcon /icons/folder.gif ^^DIRECTORY^^ 
AddIcon /icons/blank.gif ^^BLANKICON^^ 



DefaultIcon /icons/unknown.gif


ReadmeName README.html
HeaderName HEADER.html


IndexIgnore .??* *~ *# HEADER* README* RCS CVS *,v *,t 

</Ifmodule>

<Ifmodule mod_mime.c>

AddType application/x-tar .tgz
AddType application/x-httpd-php .php .htm .html .php3


AddEncoding x-compress .Z
AddEncoding x-gzip .gz .tgz

AddLanguage da .dk
AddLanguage nl .nl
AddLanguage en .en
AddLanguage et .ee
AddLanguage fr .fr
AddLanguage de .de
AddLanguage el .el
AddLanguage he .he
AddLanguage it .it
AddLanguage ja .ja
AddLanguage kr .kr
AddLanguage nn .nn
AddLanguage no .no
AddLanguage pl .po
AddLanguage pt .pt
AddLanguage pt-br .pt-br
AddLanguage ltz .lu
AddLanguage ca .ca
AddLanguage es .es
AddLanguage sv .sv
AddLanguage cs .cz .cs
AddLanguage ru .ru
AddLanguage zh-TW .zh-tw
AddCharset ISO-8859-8 .iso8859-8
AddCharset ISO-2022-JP .jis
AddCharset ISO-2022-KR .iso-kr
AddCharset ISO-8859-2 .iso-pl
AddCharset Big5         .Big5    .big5
AddCharset WINDOWS-1251 .cp-1251
AddCharset CP866        .cp866
AddCharset ISO-8859-5   .iso-ru
AddCharset KOI8-R       .koi8-r
AddCharset UCS-2        .ucs2
AddCharset UCS-4        .ucs4
AddCharset UTF-8        .utf8


<Ifmodule mod_negotiation.c>
LanguagePriority en da nl et fr de el it ja kr no pl pt pt-br ru ltz ca es sv tw
</Ifmodule>

AddHandler cgi-script .cgi .bat .exe
AddHandler server-parsed .shtml



</Ifmodule>

Action application/x-httpd-php "/php/php-cgi.exe"

<Ifmodule mod_setenvif.c>


BrowserMatch "Mozilla/2" nokeepalive
BrowserMatch "MSIE 4\.0b2;" nokeepalive downgrade-1.0 force-response-1.0
BrowserMatch "RealPlayer 4\.0" force-response-1.0
BrowserMatch "Java/1\.0" force-response-1.0
BrowserMatch "JDK/1\.0" force-response-1.0


</Ifmodule>




NameVirtualHost 127.0.0.1

<Virtualhost 127.0.0.1>
ServerName try
DocumentRoot C:/local/apache_group/Apache/htdocs/try
ErrorLog C:/local/apache_group/Apache/htdocs/try/logs/errors.log
</Virtualhost>








